## ros-melodic-neo-local-planner 1.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(neo_local_planner)

set(CMAKE_CXX_STANDARD 11)

## By default build with code optimization and no debug info
if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE "Release"
  	  CACHE STRING "Choose the type of build, options are: Debug Release RelWithDebInfo MinSizeRel."
      FORCE)
endif(NOT CMAKE_BUILD_TYPE)

find_package(catkin REQUIRED
        COMPONENTS
            base_local_planner
            cmake_modules
            costmap_2d
            dynamic_reconfigure
            nav_core
            nav_msgs
            pluginlib
            roscpp
            tf2_ros
            tf2_sensor_msgs
            tf2_geometry_msgs
        )

include_directories(
    include
    ${catkin_INCLUDE_DIRS}
)

## dynamic reconfigure
#generate_dynamic_reconfigure_options(
#    cfg/NeoPlanner.cfg
#)

catkin_package(
    INCLUDE_DIRS include
    LIBRARIES neo_local_planner
    CATKIN_DEPENDS
        dynamic_reconfigure
        nav_msgs
        pluginlib
        roscpp
        tf2_ros
        tf2_sensor_msgs
        tf2_geometry_msgs
)

add_library(neo_local_planner src/NeoLocalPlanner.cpp)
add_dependencies(neo_local_planner ${catkin_EXPORTED_TARGETS})
target_link_libraries(neo_local_planner ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_LIBRARIES})

install(TARGETS neo_local_planner
       ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
       LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
       )

install(FILES blp_plugin.xml
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY include/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== debian/changelog ===
ros-melodic-neo-local-planner (1.0.0-1stretch) stretch; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Neobotix GmbH <ros@neobotix.de>  Mon, 17 Aug 2020 11:45:10 -0000

=== debian/control ===
Source: ros-melodic-neo-local-planner
Section: misc
Priority: optional
Maintainer: Neobotix GmbH <ros@neobotix.de>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-base-local-planner, ros-melodic-catkin, ros-melodic-cmake-modules, ros-melodic-costmap-2d, ros-melodic-dynamic-reconfigure, ros-melodic-nav-core, ros-melodic-nav-msgs, ros-melodic-pluginlib, ros-melodic-roscpp, ros-melodic-tf2-geometry-msgs, ros-melodic-tf2-ros, ros-melodic-tf2-sensor-msgs
Homepage: http://wiki.ros.org/base_local_planner
Standards-Version: 3.9.2

Package: ros-melodic-neo-local-planner
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-base-local-planner, ros-melodic-costmap-2d, ros-melodic-dynamic-reconfigure, ros-melodic-nav-core, ros-melodic-nav-msgs, ros-melodic-pluginlib, ros-melodic-roscpp, ros-melodic-tf2-geometry-msgs, ros-melodic-tf2-ros, ros-melodic-tf2-sensor-msgs
Description: This package provides a spline based implementation to local robot navigation on a plane.
 This package's ROS wrapper adheres to the BaseLocalPlanner interface specified in the nav_core package.
